Bug 57039 - New port: x11/gtk2-theme-switch - A command line and GUI tool for switching GTK2 themes
Summary: New port: x11/gtk2-theme-switch - A command line and GUI tool for switching G...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-20 21:50 UTC by Andrew J. Caines
Modified: 2003-11-13 15:40 UTC (History)
0 users

See Also:


Attachments
file.shar (2.95 KB, text/plain)
2003-09-20 21:50 UTC, Andrew J. Caines
no flags Details
gtk2-theme-switch.shar (2.81 KB, text/plain; charset="us-ascii")
2003-11-13 06:53 UTC, amistry
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew J. Caines 2003-09-20 21:50:04 UTC

A command line and GUI tool for switching GTK2 themes, similar to x11/gtk-theme-switch for GTK1.
Comment 1 Joe Marcus Clarke freebsd_committer 2003-09-30 04:50:11 UTC
State Changed
From-To: open->feedback

I'll take this. 


Comment 2 Joe Marcus Clarke freebsd_committer 2003-09-30 04:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Andrew, there are a few problems with this port.  Please consider using 
portlint -a -c before submitting in the future.  I have taken care of all the 
problems except one.  This port does not respect CFLAGS.  Please modify the 
Makefile so that CFLAGS from make.conf are respected.  Thanks.
Comment 3 Joe Marcus Clarke freebsd_committer 2003-11-13 08:56:06 UTC
State Changed
From-To: feedback->closed

Committed after final modifications were submitted by  
Anish Mistry <amistry@am-productions.biz>.
Comment 4 Andrew J. Caines 2003-11-13 15:34:25 UTC
Anish,

> I think I've fixed the problems in the submitter's shell archive.

Thanks. Actually, I thought Joe had fixed all the problems back on the
second of October and was going to commit it:

 >> From: Joe Marcus Clarke <marcus@FreeBSD.org>			  
 >> Subject: Re: ports/57039: New port: x11/gtk2-theme-switch - A command 
 >> line and GUI tool for switching GTK2 themes 			  
 >> Date: Thu, 02 Oct 2003 17:18:05 -0400				  
 >> ... 								  
 >> I think your port with the modifications I made is fine.		  
 >> ... 								  
 >> No, I made the changes in my working directory on freefall.  You'll   
 >> see them all when I commit. 					  

> Just curious if you are still interested in activly maintaining the 
> gtk2-theme-switch you submitted to FreeBSD.

I'm happy to maintain it, of course, but not so possessive that I'd mind
if you or anyone else capable wanted to do so.


Joe,

> Committed after final modifications were submitted by 
> Anish Mistry <amistry@am-productions.biz>.

Thanks.



-Andrew-
-- 
 _______________________________________________________________________
| -Andrew J. Caines-   Unix Systems Engineer   A.J.Caines@halplant.com  |
| "They that can give up essential liberty to obtain a little temporary |
|  safety deserve neither liberty nor safety" - Benjamin Franklin, 1759 |